<template>
<v-app id="inspire">
        <v-app-bar app color="#2c3a47" dark>
        <v-app-bar-nav-icon @click.stop="mini = !mini" />
        <v-toolbar-title style="width: 300px; cursor: pointer" class="ml-0 pl-4">
            <span class="hidden-sm-and-down">AJ's Eat All You Want Shop</span>
        </v-toolbar-title>
        <v-spacer />
        <v-btn icon class="mr-6" @click="goToShop">
            <v-icon left>mdi-cart</v-icon> SHOP
        </v-btn>
        <v-btn icon>
            <v-icon>mdi-logout</v-icon>
        </v-btn>
        </v-app-bar>
        <v-main>
            <div class="row mt-5 ml-5" v-if="product">
                <div class="col-4">
                    <img src="https://via.placeholder.com/150x100" class="w-100" alt="">
                </div>
                <div class="col-8">
                    <h1 class="mt-2" style="font-size: 60px">{{ product.name }}</h1>
                    <h3 class="mt-2" style="font-size: 35px">${{ product.price }}</h3>
                    <button class="btn btn-info" 
                        style="
                            height: 20px; width: 22px; line-height: 5px; 
                            padding: 0;" 
                        @click="subtract"
                        :disabled="quantity == 1">
                            <strong>-</strong>
                    </button>
                    <input type="text" class="text-center col-1 mt-4 mr-2 ml-2 p-1" name="quantity" v-model="quantity" style="border: 1px solid #000;"/>
                    <button class="btn btn-info" 
                        style="
                            height: 20px; width: 22px; line-height: 5px; padding: 0;" 
                        @click="add">
                            +
                    </button>
                    <br /><br />
                    <button class="btn btn-primary" @click="addToCart">Add to Cart</button>
                    <button class="ml-1 btn btn-primary" @click="goToShop">Continue Shopping</button>
                    <p class="mt-4" style="font-size: 27px">{{ product.description }}</p>
                    <button class="p-2 btn btn-success" @click="goToCart">View your orders</button>
                </div>
            </div>                                             
        </v-main>         
    </v-app>  
</template>

<script>
export default {
    props: ['id'],   
     data: () => ({
        mini: false,
        dialog: false,
        fab: false,
        quantity: 1,
    }), 
    computed: {
        product() {
            return this.$store.state.product;
        }
    },
    mounted() {
        this.$store.dispatch('getProduct', this.id);
    },
    methods: {
        add() {
            this.quantity++;
        },
        subtract() {
            this.quantity--;
        },
        goToShop() {
            this.$router.push('/shop')
        },
        goToCart() {            
            this.$router.push('/cart');
        },
        addToCart() {
            // this.quantity++;
            this.$store.dispatch("addProductToCart", {
                product: this.product,             
                quantity: this.quantity,
            });
        }
    }    
}
</script>

<style>

</style>